/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef GROUPDATA_H_
#define GROUPDATA_H_

#include <vector>
#include "HostData.h"
#include "LoadTicket.h"

using namespace std;

class GroupData {
	private :
		int nrOfProcs;
		int latencyLevel;
		int tmpLevel;
		int indexOflastCheckedLC;
		vector<LoadTicket *> mapping;
		vector<LoadTicket *> tmpMapping;

	public :
		GroupData(int _nrOfProcs);
		virtual ~GroupData();
		int getNrOfProcs();
		void setIndexOfLatencyCluster(int index);
		int getIndexOfLatencyCluster();
		int getLatencyLevel();
		void setTmpLevel(int _level);
		int getTmpLevel();

		void createLoadTicket(int _nrOfProcs, HostData *host);
		int getNrOfLoadTickets();
		int getNrOfTmpTickets();
		LoadTicket *getMappingTicketByIndex(unsigned int index);
		LoadTicket *getTmpTicketByIndex(unsigned int index);
		void removeMappingTickets();
		void removeLastTmpTickets(int _nrOfProcs);
		void copyTmpTickets();
};

#endif /* GROUPDATA_H_ */
