/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef HOSTDATA_H_
#define HOSTDATA_H_

#include <taag_basic.h>
#include <string.h>

class HostData {
	private :
		int id;  //The id is always equal to the position of the Host in the ListOfHost!!!
		char hostname[TAAG_MAX_HOSTNAME_STRING];
		double CPUForecast;
		int CPUcount;
		int plannedLoad;
		int processesPerCPU; //Default is 1
		void *addressOfHighestCluster; //index of the outermost latency cluster in latencyClusters
		                               //which contains the host
		void *addressOfLANCluster; //1. Latency level cluster
	public :
		HostData(int _id, char *_hostname, double _CPUForecast, int _CPUcount);
		HostData(int _id, char *_hostname, double _CPUForecast, int _CPUcount, int _factor);
		virtual ~HostData();
		int getHostId();
		char *getHostname();
		double getCPUForecast();
		int getCPUcount();
		int availableProcsCapacity();
		void increaseLoad(int nrOfProcs);
		void decreaseLoad(int neOfProcs);
		int getLoad();
		void clearLoad();
		void setAddressOfHighestCluster(void *address);
		void *getAddressOfHighestCluster();
		void setAddressOfLANCluster(void *address);
		void *getAddressOfLANCluster();
};

#endif /* HOSTDATA_H_ */
