/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#include "LatencyValue.h"

LatencyValue::LatencyValue() {
	latencyLevel = 0;
	occupied = false;
}

LatencyValue::~LatencyValue() {
   //EMPTY
}

void LatencyValue::initValues(double _value1to2, double _value2to1, int _hostId1, int _hostId2) {
	value1to2 = _value1to2;
	value2to1 = _value2to1;
	hostId1 = _hostId1;
	hostId2 = _hostId2;
	latencyLevel = 0;
	occupied = false;
}

double LatencyValue::getValue() {
	if (value1to2 > value2to1) return value1to2;
	else return value2to1;
}

double LatencyValue::getValueSmaller() {
	if (value1to2 < value2to1) return value1to2;
	else return value2to1;
}

int LatencyValue::getHostId1() {
	return hostId1;
}

int LatencyValue::getHostId2() {
	return hostId2;
}

void LatencyValue::setLatencyLevel(int level) {
	if (level<1) return;
	latencyLevel = level;
}

int LatencyValue::getLatencyLevel() {
	return latencyLevel;
}

void LatencyValue::setOccupied() {
	occupied = true;
}

bool LatencyValue::isOccupied() {
	return occupied;
}
